#
# spec file for package ghc-hpack-dhall
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hpack-dhall
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.5.2
Release:        lp150.1.2
Summary:        Hpack's dhalling
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-pretty-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-dhall-devel
BuildRequires:  ghc-dhall-json-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hpack-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-microlens-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-prettyprinter-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-Diff-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-golden-devel
BuildRequires:  ghc-utf8-string-devel
%endif

%description
Work with hpack's top-level <https://github.com/sol/hpack#top-level-fields
fields> in a Dhall record with the following executables;

* with 'dhall-hpack-cabal' write the '.cabal' for a '.dhall' package
description. * with 'dhall-hpack-dhall' show the package description
expression, with imports resolved. * with 'dhall-hpack-json' show the package
description as JSON. * with 'dhall-hpack-yaml' show the package description as
YAML.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/dhall-hpack-cabal
%{_bindir}/dhall-hpack-dhall
%{_bindir}/dhall-hpack-json
%{_bindir}/dhall-hpack-yaml

%files devel -f %{name}-devel.files
%doc README.md changelog.md

%changelog
* Fri Mar  8 2019 psimons@suse.com
- Update hpack-dhall to version 0.5.2.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/hpack-dhall-0.5.2/src/changelog.md
* Wed Dec 26 2018 psimons@suse.com
- Add hpack-dhall at version 0.5.1.
